/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: TimeZonesMap.java 896 2006-08-03 10:58:08Z alouis $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.engine.clock;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.HashMap;

/**
 * @author alouis
 */

public class TimeZonesMap {
    private HashMap<String, Integer> data;

    public TimeZonesMap(InputStream in) throws IOException {
        BufferedReader reader = new BufferedReader(new InputStreamReader(in));
        while (reader.ready()) {
            String line = reader.readLine();
            int separatorIdx = line.indexOf(':');
            String city = line.substring(0, separatorIdx - 1);
            Integer timeZone = Integer.parseInt(line
                    .substring(separatorIdx + 1));
            data.put(city, timeZone);
        }
    }

    public HashMap<String, Integer> getData() {
        return data;
    }

    public void addTimeZone(String city, Integer timeZone) {
        data.put(city, timeZone);
    }

    public Integer getTimeZone(String city) {
        return data.get(city);
    }

}
