/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: PetalsDispatcherTest.java 154 18 mai 2006 wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.component.common.serviceunitmanager.handler;

import java.util.logging.Logger;

import javax.jbi.component.ComponentContext;

import org.easymock.classextension.EasyMock;

import junit.framework.TestCase;

/**
 * 
 * @author wjoseph - EBM Websourcing
 * 
 */
public class ExternalServiceManagerTest extends TestCase {

    
    @Override
    protected void setUp() throws Exception {
    }

    public void testExternalServiceManager(){
        // Test Case 1
        ExternalServiceManager sum = new ExternalServiceManager();
        assertEquals(sum.SERVICE_UNIT_TYPE, "external_service");
        
        // Test Case 2
        
        // Initialize test
        ComponentContext ctx = EasyMock.createMock(ComponentContext.class);
        Logger log = Logger.getAnonymousLogger();
        
        // Run Test Case 2
        sum = new ExternalServiceManager(ctx,log);
        assertEquals(ctx, sum.context);
        assertEquals(log, sum.logger);
        assertEquals(sum.SERVICE_UNIT_TYPE, "external_service");
    }
}
