/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: JBIPackageBuilderTest.java 09:56:31 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.packaging;

import java.io.File;
import java.net.MalformedURLException;

import junit.framework.TestCase;

import org.objectweb.petals.PetalsException;
import org.objectweb.petals.jbi.messaging.mock.MockLogger;
import org.objectweb.util.monolog.api.Logger;

/**
 * Test of the JBIPackageBuilder
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class JBIPackageBuilderTest extends TestCase {

    /**
     * The package is valid
     * 
     * @throws MalformedURLException
     * @throws PetalsException
     */
    public void testBuild() throws MalformedURLException, PetalsException {
        String baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
        Logger logger = new MockLogger();
        JBIPackageBuilder packageBuilder = new JBIPackageBuilder(new File(
            baseDir + "src" + File.separator + "test-data" + File.separator
                + "packages" + File.separator + "installation01.zip").toURL()
            .toString(), logger);
        String assemblyDir = baseDir.replace("container", "assembly");
        System.setProperty("petals.home", assemblyDir + "src" + File.separator);
        assertNotNull(packageBuilder.build());
    }

    public void tearDown() {
        System.clearProperty("petals.home");
    }
}
