/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: RepositoryImplTest.java 10:49:02 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.repository;

import java.io.File;
import java.io.IOException;

import junit.framework.TestCase;

/**
 * Test the RepositoryImpl
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class RepositoryImplTest extends TestCase {

    private String baseDir;

    public void setUp() throws IOException {
        baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
        System.setProperty("petals.home", baseDir + "target" + File.separator);
        new File(baseDir + "target" + File.separator + "lib").mkdir();
        new File(baseDir + "target" + File.separator + "lib" + File.separator
            + "petals-1.0-SNAPSHOT.jar").mkdir();
    }

    public void testExplodeSUIntoSAInstallFoldere() throws Exception {
        RepositoryImpl repositoryImpl = new RepositoryImpl();
        repositoryImpl.explodeSUIntoSAInstallFolder("0001", new File(baseDir
            + "src" + File.separator + "test-data" + File.separator
            + "test.zip").toURI(), "0002");
    }

    public void testExplodeSUIntoSAInstallFoldere1() throws Exception {
        RepositoryImpl repositoryImpl = new RepositoryImpl();
        new File(baseDir + "repository" + File.separator).delete();
        repositoryImpl.explodeSUIntoSAInstallFolder("0001", new File(baseDir
            + "src" + File.separator + "test-data" + File.separator
            + "test.zip").toURI(), "0002");
    }

    public void testGetComponentInstallRoot() throws Exception {
        RepositoryImpl repositoryImpl = new RepositoryImpl();
        File dir = repositoryImpl.getComponentInstallRoot("foo");
        assertEquals(dir, new File(baseDir + "target" + File.separator
            + "repository" + File.separator + "components" + File.separator + "foo" + File.separator
            + "install"));
    }

    public void testGetComponentRoot() throws Exception {
        RepositoryImpl repositoryImpl = new RepositoryImpl();
        File dir = repositoryImpl.getComponentRoot("foo");
        assertEquals(dir, new File(baseDir + "target" + File.separator
            + "repository" + File.separator + "components" + File.separator + "foo"));
    }

    public void testGetComponentWorkRoot() throws Exception {
        RepositoryImpl repositoryImpl = new RepositoryImpl();
        File dir = repositoryImpl.getComponentWorkRoot("foo");
        assertEquals(dir, new File(baseDir + "target" + File.separator
            + "repository" + File.separator + "components" + File.separator + "foo" + File.separator + "work"));
    }

   

   
}
