/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServiceAssemblyTest.java 3:20:29 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import java.util.ArrayList;
import java.util.List;

import org.objectweb.petals.tools.jbicommon.descriptor.Connection;
import org.objectweb.petals.tools.jbicommon.descriptor.ServiceAssembly;

import junit.framework.TestCase;

/**
 * Tests of the ServiceAssembly
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ServiceAssemblyTest extends TestCase {

    public void testGetters() {
        ServiceAssembly serviceAssembly = new ServiceAssembly();
        List<Connection> connections = new ArrayList<Connection>();
        connections.add(new Connection());
        serviceAssembly.setConnections(connections);
        assertEquals(serviceAssembly.getConnections(), connections);
        Identification identification = new Identification();
        serviceAssembly.setIdentification(identification);
        assertEquals(identification, serviceAssembly.getIdentification());
        List<ServiceUnit> servList = new ArrayList<ServiceUnit>();
        serviceAssembly.setServiceUnits(servList);
        assertEquals(servList, serviceAssembly.getServiceUnits());
    }

}
